package cn.iocoder.yudao.module.shop.service;


import cn.iocoder.yudao.module.shop.entity.ShopConfig;

import java.util.List;

/**
 * 基础配置Service接口
 *
 * @author ruoyi
 * @date 2023-07-09
 */
public interface IShopConfigService
{
    /**
     * 查询基础配置
     *
     * @param id 基础配置主键
     * @return 基础配置
     */
    public ShopConfig selectShopConfigById(Long id);

    /**
     * 查询基础配置列表
     *
     * @param shopConfig 基础配置
     * @return 基础配置集合
     */
    public List<ShopConfig> selectShopConfigList(ShopConfig shopConfig);

    /**
     * 新增基础配置
     *
     * @param shopConfig 基础配置
     * @return 结果
     */
    public int insertShopConfig(ShopConfig shopConfig);

    /**
     * 修改基础配置
     *
     * @param shopConfig 基础配置
     * @return 结果
     */
    public int updateShopConfig(ShopConfig shopConfig);

    /**
     * 批量删除基础配置
     *
     * @param ids 需要删除的基础配置主键集合
     * @return 结果
     */
    public int deleteShopConfigByIds(Long[] ids);

    /**
     * 删除基础配置信息
     *
     * @param id 基础配置主键
     * @return 结果
     */
    public int deleteShopConfigById(Long id);
}
